


Name:		samba-mounter
Version: 	0.2
Release:	%mkrel 1
Summary:	App to mount samba shares
License:	GPLv2+
Group:		Graphical desktop/KDE5
URL:		https://github.com/KDE/samba-mounter
Source0:	samba-mounter-master.zip
#---------------------------------
BuildRequires:  cmake
BuildRequires:  kf5-macros
BuildRequires: lib64kconfig-devel
BuildRequires: lib64kf5auth-devel
BuildRequires: lib64kf5completion-devel
BuildRequires: lib64kf5configwidgets-devel
BuildRequires: lib64kf5i18n-devel
BuildRequires: lib64kf5solid-devel
BuildRequires: lib64kf5widgetsaddons-devel
BuildRequires: lib64kio-devel 
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5dbus-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5network-devel
BuildRequires: lib64qt5widgets-devel
#---------------------------------

%description
Desktop application to mount samba shares


#--------------------------------------------------------------------

%prep
%setup -q -n samba-mounter-master
%apply_patches

%build
%cmake_kf5

%make

%install
rm -rf %buildroot
%makeinstall_std -C build


%files
%{_sysconfdir}/dbus-1/system.d/org.kde.sambamounter.conf
%{_sysconfdir}/xdg/autostart/sambamounter.desktop
%{_bindir}/samba-onstart
%{_bindir}/samba-realmounter
%{_bindir}/samba-realumounter
%{_libdir}/qt5/plugins/kcm_sambamount.so
%{_libexecdir}/kauth/samba_helper
%{_datadir}/applications/sambamounter.desktop
%{_datadir}/applications/sambamounterapp.desktop
%{_datadir}/dbus-1/system-services/org.kde.sambamounter.service
%{_datadir}/kservices5/sambamount.desktop
%{_datadir}/polkit-1/actions/org.kde.sambamounter.policy

%post
update-menus

%postun
update-menus


%changelog
* Fri Jun 02 2017 bb2 <bb2> - 0.2-1pclos2017
- create package
